org.bdgenomics.adam.util

# NormalizationUtils

#### object NormalizationUtils

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. NormalizationUtils
2. AnyRef
3. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### def leftAlignIndel(read: AlignmentRecord): Cigar

    Given a cigar, returns the cigar with the position of the cigar shifted left.

    Given a cigar, returns the cigar with the position of the cigar shifted left.

    read

      Read whose Cigar should be left align.

    returns

      Cigar fully moved left.

15. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### final def notify(): Unit

    Definition Classes
      AnyRef

17. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

18. #### def numberOfPositionsToShiftIndel(variant: String, preceeding: String): Int

    Returns the maximum number of bases that an indel can be shifted left during left normalization.

    Returns the maximum number of bases that an indel can be shifted left during left normalization. Requires that the indel has been trimmed. For an insertion, this should be called on read data

    variant

      Bases of indel variant sequence.

    preceeding

      Bases of sequence to left of variant.

    returns

      The number of bases to shift an indel for it to be left normalized.

19. #### def shiftIndel(cigar: Cigar, position: Int, shifts: Int): Cigar

    Shifts an indel left by n.

    Shifts an indel left by n. Is tail call recursive.

    cigar

      Cigar to shift.

    position

      Position of element to move.

    shifts

      Number of bases to shift element.

    returns

      Cigar that has been shifted as far left as possible.

    Annotations
      @tailrec()

20. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

21. #### def toString(): String

    Definition Classes
      AnyRef → Any

22. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped